org.apache.olingo.client.api.domain

## Interface ClientValuable

- All Known Subinterfaces:
    ClientAnnotation, ClientProperty

      public interface ClientValuable

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientCollectionValue<ClientValue>` | `getCollectionValue()` Gets collection value.
    `ClientComplexValue` | `getComplexValue()` Gets complex value.
    `ClientEnumValue` | `getEnumValue()` Gets enum value.
    `ClientPrimitiveValue` | `getPrimitiveValue()` Gets primitive value.
    `ClientValue` | `getValue()` Returns annotation value.
    `boolean` | `hasCollectionValue()` Checks if has collection value.
    `boolean` | `hasComplexValue()` Checks if has complex value.
    `boolean` | `hasEnumValue()` Checks if has enum value.
    `boolean` | `hasNullValue()` Checks if has null value.
    `boolean` | `hasPrimitiveValue()` Checks if has primitive value.

- - ### Method Detail

    - #### getValue

          ClientValue getValue()

      Returns annotation value.
      Returns:
        annotation value.

    - #### hasNullValue

          boolean hasNullValue()

      Checks if has null value.
      Returns:
        'TRUE' if has null value; 'FALSE' otherwise.

    - #### hasPrimitiveValue

          boolean hasPrimitiveValue()

      Checks if has primitive value.
      Returns:
        'TRUE' if has primitive value; 'FALSE' otherwise.

    - #### getPrimitiveValue

          ClientPrimitiveValue getPrimitiveValue()

      Gets primitive value.
      Returns:
        primitive value if exists; null otherwise.

    - #### hasCollectionValue

          boolean hasCollectionValue()

      Checks if has collection value.
      Returns:
        'TRUE' if has collection value; 'FALSE' otherwise.

    - #### getCollectionValue

          ClientCollectionValue<ClientValue> getCollectionValue()

      Gets collection value.
      Returns:
        collection value if exists; null otherwise.

    - #### hasComplexValue

          boolean hasComplexValue()

      Checks if has complex value.
      Returns:
        'TRUE' if has complex value; 'FALSE' otherwise.

    - #### getComplexValue

          ClientComplexValue getComplexValue()

      Gets complex value.
      Returns:
        complex value if exists; null otherwise.

    - #### hasEnumValue

          boolean hasEnumValue()

      Checks if has enum value.
      Returns:
        'TRUE' if has enum value; 'FALSE' otherwise.

    - #### getEnumValue

          ClientEnumValue getEnumValue()

      Gets enum value.
      Returns:
        enum value if exists; null otherwise.

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.